Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class LiteralDataPacket

    java.lang.Object
      org.bouncycastle.bcpg.Packet
          org.bouncycastle.bcpg.InputStreamPacket
              org.bouncycastle.bcpg.LiteralDataPacket

All Implemented Interfaces:
  PacketTags

    public class LiteralDataPacket

extends InputStreamPacket

generic literal data packet.

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Method Summary
`java.lang.String` | `getFileName()`
`int` | `getFormat()` return the format tag value.
`long` | `getModificationTime()` Return the modification time of the file in milli-seconds.
`byte[]` | `getRawFileName()`

Methods inherited from class org.bouncycastle.bcpg.InputStreamPacket
`getInputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFormat

    public int getFormat()

  return the format tag value.

  Returns:
    format tag value.

### getModificationTime

    public long getModificationTime()

  Return the modification time of the file in milli-seconds.

  Returns:
    the modification time in millis

### getFileName

    public java.lang.String getFileName()

  Returns:
    filename

### getRawFileName

    public byte[] getRawFileName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD